Bug 85119 - cvs has problem using the value in CVSROOT (shell variable)
cvs has problem using the value in CVSROOT (shell variable)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: cvs (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-25 17:00 EST by Need Real Name
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 14:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-02-25 17:00:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
I can check out modules from our CVS server if I do:

cvs -d:ext:user@cvs/directory co modulename

Yet if I create the shell variable called CVSROOT within the .bashrc:

CVSROOT=":ext:user@cvs/directory"

It does not work if I do:

cvs co modulename

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set CVSROOT within bashrc or from command line
2. Run cvs co <modulename>

    

Actual Results:  bash-2.05b$ cvs co nORB
cvs server: cannot find module `nORB' - ignored
cvs [checkout aborted]: cannot expand modules

bash-2.05b$ cvs -t co nORB
 -> main loop with CVSROOT=:pserver:anonymous@cvs.shiman.com:/cvsroot
 -> Connecting to cvs.shiman.com(199.103.167.237):2401
S-> do_module (nORB, Updating, , )
cvs server: cannot find module `nORB' - ignored
cvs [checkout aborted]: cannot expand modules
 -> Lock_Cleanup()


CVSROOT is set as: :ext:user@cvs/directory
(Not literally but its certainly not the value being used).

Expected Results:  Checked out the module from CVS using the value in CVSROOT as
its target .

Additional info:
Comment 1 Michael Wardle 2003-02-25 17:44:15 EST
Setting CVSROOT works fine for me. 
 
For CVS to be able to access the variable "CVSROOT", it must 
first be placed in the environment using "export CVSROOT". 
Did you also run this command? 
 
Try running the following in a bash session: 
CVSROOT=:ext:user@cvs/directory 
export CVSROOT 
 
If this works, you have either forgotten to export the variable, 
or your .bashrc is not being read on startup. 
 
See the bash(1) man page for more information. 
 
Comment 2 Michael Wardle 2003-02-25 17:47:23 EST
It could also simply be that another command is being run 
after the relevant line in ~/.bashrc that is changing the value 
of CVSROOT. 
 
Try running the following to confirm its value: 
printenv CVSROOT 
 
Comment 3 Need Real Name 2003-02-25 17:55:18 EST
bash-2.05b$ printenv CVSROOT
ext:storri@cvs.doc.wustl.edu:/project/cvs-repository

Bashrc:
CVS_RSH=ssh
CVSROOT="storri@cvs.doc.wustl.edu:/project/cvs-repository"
ACE_ROOT="/home/storri/src/ACE_CVS_wrappers"
TAO_ROOT="$ACE_ROOT/TAO"
 
export CVS_RSH ACE_ROOT TAO_ROOT CVSROOT
Comment 4 Need Real Name 2003-02-28 21:21:40 EST
Upgrading to rawhide version of cvs-1.11.2-10 cures problem. No change was made
to  the system beyond rebuilding and upgrading cvs package.

Note You need to log in before you can comment on or make changes to this bug.